Mozilla Thunderbird < 2.0.0.18 Multiple Vulnerabilities

high Nessus Plugin ID 34819
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Windows host contains a mail client that is affected by multiple vulnerabilities.

Description

The installed version of Thunderbird is earlier than 2.0.0.18. Such versions are potentially affected by the following security issues :

- The canvas element can be used in conjunction with an HTTP redirect to bypass same-origin restrictions and gain access to the content in arbitrary images from other domains. (MFSA 2008-48)

- By tampering with the window.__proto__.__proto__ object, one can cause the browser to place a lock on a non- native object, leading to a crash and possible code execution. (MFSA 2008-50)

- There are several stability bugs in the browser engine that could lead to crashes with evidence of memory corruption. (MFSA 2008-52)

- Crashes and remote code execution in nsFrameManager are possible by modifying certain properties of a file input element before it has finished initializing.
(MFSA 2008-55)

- The same-origin check in 'nsXMLHttpRequest::NotifyEventListeners()' can be bypassed. (MFSA 2008-56)

- There is an error in the method used to parse the default namespace in an E4X document caused by quote characters in the namespace not being properly escaped.
(MFSA 2008-58)

- Scripts in a malicous mail message can access the .document URI and .textContext DOM properties.
(MFSA 2008-59)

Solution

Upgrade to Mozilla Thunderbird 2.0.0.18 or later.

See Also

https://www.mozilla.org/en-US/security/advisories/mfsa2008-48/

https://www.mozilla.org/en-US/security/advisories/mfsa2008-50/

https://www.mozilla.org/en-US/security/advisories/mfsa2008-52/

https://www.mozilla.org/en-US/security/advisories/mfsa2008-55/

https://www.mozilla.org/en-US/security/advisories/mfsa2008-56/

https://www.mozilla.org/en-US/security/advisories/mfsa2008-58/

https://www.mozilla.org/en-US/security/advisories/mfsa2008-59/

Plugin Details

Severity: High

ID: 34819

File Name: mozilla_thunderbird_20018.nasl

Version: 1.20

Type: local

Agent: windows

Family: Windows

Published: 11/20/2008

Updated: 7/16/2018

Dependencies: mozilla_org_installed.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 9.3

Temporal Score: 6.9

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:mozilla:thunderbird

Required KB Items: Mozilla/Thunderbird/Version

Exploit Ease: No known exploits are available

Patch Publication Date: 11/12/2008

Reference Information

CVE: CVE-2008-5012, CVE-2008-5014, CVE-2008-5016, CVE-2008-5017, CVE-2008-5018, CVE-2008-5021, CVE-2008-5022, CVE-2008-5024, CVE-2008-5052, CVE-2008-6961

BID: 32281, 32351, 32363

Secunia: 32715

CWE: 20, 94, 189, 200, 287, 399